interactions:
- request:
    body: '****'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '105'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - python-requests/2.25.1
    method: POST
    uri: https://stagingopencell.coopdevs.org/auth/realms/opencell/protocol/openid-connect/token
  response:
    body:
      string: '{"access_token":"****","token_type":"bearer","not-before-policy":0,"session_state":"3eef90e5-d339-4257-ac85-898b9fd4c97f","scope":"email
        profile"}'
    headers:
      Access-Control-Allow-Origin:
      - '*'
      Connection:
      - keep-alive
      Content-Length:
      - '2227'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Mon, 19 Jul 2021 13:18:14 GMT
      Server:
      - nginx
      Set-Cookie: '****'
      X-Powered-By:
      - Undertow/1
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - '****'
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      User-Agent:
      - python-requests/2.25.1
    method: GET
    uri: https://stagingopencell.coopdevs.org/auth/admin/realms/opencell/users?username=16651490L&max=100&first=0
  response:
    body:
      string: '[{"id":"22e801fc-83b6-41e1-927b-a45899eabd28","createdTimestamp":1610640467469,"username":"ES16651490L","enabled":true,"totp":false,"emailVerified":false,"email":"joseluis@mailinator.com","attributes":{"customerCode":["1234"]},"disableableCredentialTypes":["password"],"requiredActions":[],"notBefore":0,"access":{"manageGroupMembership":true,"view":true,"mapRoles":true,"impersonate":false,"manage":true}}]'
    headers:
      Access-Control-Allow-Origin:
      - '*'
      Cache-Control:
      - no-cache
      Connection:
      - keep-alive
      Content-Length:
      - '407'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Mon, 19 Jul 2021 13:18:14 GMT
      Server:
      - nginx
      Set-Cookie: '****'
      X-Powered-By:
      - Undertow/1
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - '****'
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      User-Agent:
      - python-requests/2.25.1
    method: GET
    uri: https://stagingopencell.coopdevs.org/auth/admin/realms/opencell/users?username=16651490L&max=100&first=100
  response:
    body:
      string: '[]'
    headers:
      Access-Control-Allow-Origin:
      - '*'
      Cache-Control:
      - no-cache
      Connection:
      - keep-alive
      Content-Length:
      - '2'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Mon, 19 Jul 2021 13:18:14 GMT
      Server:
      - nginx
      Set-Cookie: '****'
      X-Powered-By:
      - Undertow/1
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - '****'
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      User-Agent:
      - python-requests/2.25.1
    method: GET
    uri: https://stagingopencell.coopdevs.org/opencell/api/rest/account/customer?customerCode=1017
  response:
    body:
      string: "{\"actionStatus\":{\"status\":\"SUCCESS\"},\"customer\":{\"auditable\":{\"created\":1568293157990,\"creator\":\"opencell.admin\"},\"code\":\"1017\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Ignasi, 5\",\"address2\":null,\"address3\":null,\"zipCode\":\"08340\",\"city\":\"Vilassar
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"ES16651490L\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":null,\"mobile\":\"935814923\",\"fax\":null},\"customerCategory\":\"CLIENT\",\"seller\":\"SC\",\"mandateIdentification\":\"\",\"customerAccounts\":{\"customerAccount\":[{\"auditable\":{\"created\":1608697679110,\"creator\":\"opencell.admin\"},\"code\":\"1017_1\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"false\",\"address2\":null,\"address3\":null,\"zipCode\":\"false\",\"city\":\"false\",\"country\":null,\"state\":\"false\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"\",\"phone\":\"\",\"mobile\":\"\",\"fax\":\"\"},\"customer\":\"1017\",\"currency\":\"EUR\",\"language\":\"ESP\",\"status\":\"ACTIVE\",\"dateStatus\":1608697679089,\"dateDunningLevel\":1608697679105,\"dunningLevel\":\"R0\",\"balance\":0,\"totalInvoiceBalance\":0,\"accountBalance\":0,\"creditBalance\":0,\"excludedFromPayment\":false,\"paymentMethod\":\"DIRECTDEBIT\",\"billingAccounts\":{\"billingAccount\":[{\"auditable\":{\"created\":1608697679137,\"updated\":1625584482568,\"creator\":\"opencell.admin\",\"updater\":\"opencell.superadmin\"},\"code\":\"1017_1\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"false\",\"address2\":null,\"address3\":null,\"zipCode\":\"false\",\"city\":\"false\",\"country\":null,\"state\":\"false\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":\"\",\"mobile\":\"\",\"fax\":\"\"},\"customerAccount\":\"1017_1\",\"billingCycle\":\"BC_SC_MONTHLY_1ST\",\"country\":\"SP\",\"language\":\"ESP\",\"nextInvoiceDate\":1627768800000,\"subscriptionDate\":1608697679137,\"electronicBilling\":true,\"status\":\"ACTIVE\",\"statusDate\":1608697679137,\"email\":\"johndoe@gmail.com\",\"invoices\":[],\"phone\":\"\",\"paymentMethod\":\"DIRECTDEBIT\",\"bankCoordinates\":{\"bankCode\":null,\"branchCode\":null,\"accountNumber\":null,\"key\":null,\"iban\":\"ES0000\",\"bic\":\"BCOEESMM140\",\"accountOwner\":\"Joan
        Doe, Chac\xF3n\",\"bankName\":\"C.R.De Guissona\",\"bankId\":null,\"issuerNumber\":null,\"issuerName\":null,\"ics\":null},\"userAccounts\":{\"userAccount\":[{\"auditable\":{\"created\":1608697679147,\"creator\":\"opencell.admin\"},\"id\":39433,\"code\":\"1017_1\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"false\",\"address2\":null,\"address3\":null,\"zipCode\":\"false\",\"city\":\"false\",\"country\":null,\"state\":\"false\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":\"\",\"mobile\":\"\",\"fax\":\"\"},\"billingAccount\":\"1017_1\",\"billingAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customerAccount\":\"1017_1\",\"customerAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customer\":\"1017\",\"customerDescription\":\"Joan
        Doe, Chac\xF3n\",\"subscriptionDate\":1608697679144,\"status\":\"ACTIVE\",\"statusDate\":1608697679144,\"subscriptions\":{\"subscription\":null}}]},\"mailingType\":\"mailingType.manual\",\"emailTemplate\":\"EMAIL_TEMPLATE_TEST\"}]},\"methodOfPayment\":[{\"paymentMethodType\":\"DIRECTDEBIT\",\"id\":10772,\"disabled\":false,\"alias\":\"2\",\"preferred\":true,\"customerAccountCode\":\"1017_1\",\"bankCoordinates\":{\"bankCode\":null,\"branchCode\":null,\"accountNumber\":null,\"key\":null,\"iban\":\"ES0000\",\"bic\":\"BCOEESMM140\",\"accountOwner\":\"Joan
        Doe, Chac\xF3n\",\"bankName\":\"C.R.De Guissona\",\"bankId\":null,\"issuerNumber\":null,\"issuerName\":null,\"ics\":null},\"mandateIdentification\":\"2\",\"mandateDate\":\"1970-01-19\"}]},{\"auditable\":{\"created\":1609328016217,\"updated\":1609338651360,\"creator\":\"opencell.admin\",\"updater\":\"opencell.admin\"},\"code\":\"1017_2\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"false\",\"address2\":null,\"address3\":null,\"zipCode\":\"false\",\"city\":\"false\",\"country\":null,\"state\":\"false\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":\"935814923\",\"mobile\":\"\",\"fax\":\"\"},\"customer\":\"1017\",\"currency\":\"EUR\",\"language\":\"ESP\",\"status\":\"ACTIVE\",\"dateStatus\":1609328016209,\"dateDunningLevel\":1609328016213,\"dunningLevel\":\"R0\",\"balance\":0,\"totalInvoiceBalance\":0,\"accountBalance\":0,\"creditBalance\":0,\"excludedFromPayment\":false,\"paymentMethod\":\"CHECK\",\"billingAccounts\":{\"billingAccount\":[{\"auditable\":{\"created\":1609328016250,\"updated\":1625584492629,\"creator\":\"opencell.admin\",\"updater\":\"opencell.superadmin\"},\"code\":\"1017_2\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"false\",\"address2\":null,\"address3\":null,\"zipCode\":\"false\",\"city\":\"false\",\"country\":null,\"state\":\"false\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":\"935814923\",\"mobile\":\"\",\"fax\":\"\"},\"customerAccount\":\"1017_2\",\"billingCycle\":\"BC_SC_MONTHLY_1ST\",\"country\":\"SP\",\"language\":\"ESP\",\"nextInvoiceDate\":1627768800000,\"subscriptionDate\":1609328016249,\"electronicBilling\":true,\"status\":\"ACTIVE\",\"statusDate\":1609328016249,\"email\":\"johndoe@gmail.com\",\"invoices\":[],\"phone\":\"935814923\",\"paymentMethod\":\"CHECK\",\"userAccounts\":{\"userAccount\":[{\"auditable\":{\"created\":1609328016260,\"updated\":1609338651388,\"creator\":\"opencell.admin\",\"updater\":\"opencell.admin\"},\"id\":39558,\"code\":\"1017_2\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"false\",\"address2\":null,\"address3\":null,\"zipCode\":\"false\",\"city\":\"false\",\"country\":null,\"state\":\"false\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":\"935814923\",\"mobile\":\"\",\"fax\":\"\"},\"billingAccount\":\"1017_2\",\"billingAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customerAccount\":\"1017_2\",\"customerAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customer\":\"1017\",\"customerDescription\":\"Joan
        Doe, Chac\xF3n\",\"subscriptionDate\":1609328016256,\"status\":\"ACTIVE\",\"statusDate\":1609328016256,\"subscriptions\":{\"subscription\":null}}]},\"mailingType\":\"mailingType.manual\",\"emailTemplate\":\"EMAIL_TEMPLATE_TEST\"}]},\"methodOfPayment\":[{\"paymentMethodType\":\"CHECK\",\"id\":10801,\"disabled\":false,\"preferred\":true,\"customerAccountCode\":\"1017_2\"}]},{\"auditable\":{\"created\":1568293158547,\"updated\":1615980447729,\"creator\":\"opencell.admin\",\"updater\":\"opencell.admin\"},\"code\":\"1017_0\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 29, baixos\",\"address2\":null,\"address3\":null,\"zipCode\":\"08330\",\"city\":\"Premi\xE0
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":\"935814923\",\"mobile\":\"935814923\",\"fax\":null},\"customer\":\"1017\",\"currency\":\"EUR\",\"language\":\"CAT\",\"status\":\"ACTIVE\",\"dateStatus\":1568293158531,\"dateDunningLevel\":1568293158533,\"dunningLevel\":\"R0\",\"balance\":0,\"totalInvoiceBalance\":0,\"accountBalance\":0,\"creditBalance\":0,\"excludedFromPayment\":false,\"paymentMethod\":\"DIRECTDEBIT\",\"billingAccounts\":{\"billingAccount\":[{\"auditable\":{\"created\":1568293158641,\"updated\":1625584283520,\"creator\":\"opencell.admin\",\"updater\":\"opencell.superadmin\"},\"code\":\"1017_0\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 29, baixos\",\"address2\":null,\"address3\":null,\"zipCode\":\"08330\",\"city\":\"Premi\xE0
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":\"935814923\",\"mobile\":\"935814923\",\"fax\":null},\"customerAccount\":\"1017_0\",\"billingCycle\":\"BC_SC_MONTHLY_1ST\",\"country\":\"SP\",\"language\":\"CAT\",\"nextInvoiceDate\":1627768800000,\"subscriptionDate\":1568239200000,\"electronicBilling\":true,\"status\":\"ACTIVE\",\"statusDate\":1568293158641,\"email\":\"johndoe@gmail.com\",\"invoices\":[],\"phone\":\"935814923\",\"paymentMethod\":\"DIRECTDEBIT\",\"bankCoordinates\":{\"bankCode\":null,\"branchCode\":null,\"accountNumber\":null,\"key\":null,\"iban\":\"ES0000\",\"bic\":\"BCOEESMM140\",\"accountOwner\":\"Joan
        Doe, Chac\xF3n\",\"bankName\":\"C.R.De Guissona\",\"bankId\":null,\"issuerNumber\":null,\"issuerName\":null,\"ics\":null},\"userAccounts\":{\"userAccount\":[{\"auditable\":{\"created\":1568293158695,\"updated\":1615980447738,\"creator\":\"opencell.admin\",\"updater\":\"opencell.admin\"},\"id\":4,\"code\":\"1017_0\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 29, baixos\",\"address2\":null,\"address3\":null,\"zipCode\":\"08330\",\"city\":\"Premi\xE0
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"ES46769933P\",\"registrationNo\":\"ES46769933P\",\"contactInformation\":{\"email\":\"johndoe@gmail.com\",\"phone\":\"935814923\",\"mobile\":\"935814923\",\"fax\":null},\"billingAccount\":\"1017_0\",\"billingAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customerAccount\":\"1017_0\",\"customerAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customer\":\"1017\",\"customerDescription\":\"Joan
        Doe, Chac\xF3n\",\"subscriptionDate\":1568293158683,\"status\":\"ACTIVE\",\"statusDate\":1568293158683,\"subscriptions\":{\"subscription\":null}}]},\"mailingType\":\"mailingType.manual\",\"emailTemplate\":\"EMAIL_TEMPLATE_TEST\"}]},\"methodOfPayment\":[{\"paymentMethodType\":\"DIRECTDEBIT\",\"id\":1,\"disabled\":false,\"alias\":\"14\",\"preferred\":true,\"customerAccountCode\":\"1017_0\",\"bankCoordinates\":{\"bankCode\":null,\"branchCode\":null,\"accountNumber\":null,\"key\":null,\"iban\":\"ES0000\",\"bic\":\"BCOEESMM140\",\"accountOwner\":\"Joan
        Doe, Chac\xF3n\",\"bankName\":\"C.R.De Guissona\",\"bankId\":null,\"issuerNumber\":null,\"issuerName\":null,\"ics\":null},\"mandateIdentification\":\"14\",\"mandateDate\":\"1970-01-19\"}]},{\"auditable\":{\"created\":1615402052927,\"updated\":1622118814194,\"creator\":\"opencell.admin\",\"updater\":\"opencell.admin\"},\"code\":\"1017_3\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 156, baixos TEST\",\"address2\":null,\"address3\":null,\"zipCode\":\"08340\",\"city\":\"Vilassar
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"98989898Z\",\"registrationNo\":\"98989898Z\",\"contactInformation\":{\"email\":\"jc@jc.coop\",\"phone\":\"935814923\",\"mobile\":\"\",\"fax\":\"\"},\"customer\":\"1017\",\"currency\":\"EUR\",\"language\":\"CAT\",\"status\":\"ACTIVE\",\"dateStatus\":1615402052921,\"dateDunningLevel\":1615402052922,\"dunningLevel\":\"R0\",\"balance\":0,\"totalInvoiceBalance\":0,\"accountBalance\":0,\"creditBalance\":0,\"excludedFromPayment\":false,\"paymentMethod\":\"DIRECTDEBIT\",\"billingAccounts\":{\"billingAccount\":[{\"auditable\":{\"created\":1615402052955,\"updated\":1625584514485,\"creator\":\"opencell.admin\",\"updater\":\"opencell.superadmin\"},\"code\":\"1017_3\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 156, baixos TEST\",\"address2\":null,\"address3\":null,\"zipCode\":\"08340\",\"city\":\"Vilassar
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"98989898Z\",\"registrationNo\":\"98989898Z\",\"contactInformation\":{\"email\":\"jc@jc.coop\",\"phone\":\"935814923\",\"mobile\":\"\",\"fax\":\"\"},\"customerAccount\":\"1017_3\",\"billingCycle\":\"BC_SC_MONTHLY_1ST\",\"country\":\"SP\",\"language\":\"CAT\",\"nextInvoiceDate\":1627768800000,\"subscriptionDate\":1615402052955,\"electronicBilling\":true,\"status\":\"ACTIVE\",\"statusDate\":1615402052955,\"email\":\"jc@jc.coop\",\"invoices\":[],\"phone\":\"935814923\",\"paymentMethod\":\"DIRECTDEBIT\",\"bankCoordinates\":{\"bankCode\":null,\"branchCode\":null,\"accountNumber\":null,\"key\":null,\"iban\":\"ESXXXXX\",\"bic\":\"CAIXESBBXXX\",\"accountOwner\":\"Joan
        Doe, Chac\xF3n\",\"bankName\":\"Caixabank, S.A.\",\"bankId\":null,\"issuerNumber\":null,\"issuerName\":null,\"ics\":null},\"userAccounts\":{\"userAccount\":[{\"auditable\":{\"created\":1615402052967,\"updated\":1622118814227,\"creator\":\"opencell.admin\",\"updater\":\"opencell.admin\"},\"id\":39760,\"code\":\"1017_3\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 156, baixos TEST\",\"address2\":null,\"address3\":null,\"zipCode\":\"08340\",\"city\":\"Vilassar
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"98989898Z\",\"registrationNo\":\"98989898Z\",\"contactInformation\":{\"email\":\"jc@jc.coop\",\"phone\":\"935814923\",\"mobile\":\"\",\"fax\":\"\"},\"billingAccount\":\"1017_3\",\"billingAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customerAccount\":\"1017_3\",\"customerAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customer\":\"1017\",\"customerDescription\":\"Joan
        Doe, Chac\xF3n\",\"subscriptionDate\":1615402052962,\"status\":\"ACTIVE\",\"statusDate\":1615402052962,\"subscriptions\":{\"subscription\":null}}]},\"mailingType\":\"mailingType.manual\",\"emailTemplate\":\"EMAIL_TEMPLATE_TEST\"}]},\"methodOfPayment\":[{\"paymentMethodType\":\"DIRECTDEBIT\",\"id\":10858,\"disabled\":false,\"alias\":\"125\",\"preferred\":true,\"customerAccountCode\":\"1017_3\",\"bankCoordinates\":{\"bankCode\":null,\"branchCode\":null,\"accountNumber\":null,\"key\":null,\"iban\":\"ESXXXXX\",\"bic\":\"CAIXESBBXXX\",\"accountOwner\":\"Joan
        Doe, Chac\xF3n\",\"bankName\":\"Caixabank, S.A.\",\"bankId\":null,\"issuerNumber\":null,\"issuerName\":null,\"ics\":null},\"mandateIdentification\":\"125\",\"mandateDate\":\"1970-01-19\"}]},{\"auditable\":{\"created\":1618413973692,\"updated\":1622119162758,\"creator\":\"opencell.admin\",\"updater\":\"opencell.admin\"},\"code\":\"1017_4\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 156, baixos TEST\",\"address2\":null,\"address3\":null,\"zipCode\":\"08340\",\"city\":\"Vilassar
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"98989898Z\",\"registrationNo\":\"98989898Z\",\"contactInformation\":{\"email\":\"\",\"phone\":\"\",\"mobile\":\"\",\"fax\":\"\"},\"customer\":\"1017\",\"currency\":\"EUR\",\"language\":\"CAT\",\"status\":\"ACTIVE\",\"dateStatus\":1618413973685,\"dateDunningLevel\":1618413973686,\"dunningLevel\":\"R0\",\"balance\":0,\"totalInvoiceBalance\":0,\"accountBalance\":0,\"creditBalance\":0,\"excludedFromPayment\":false,\"paymentMethod\":\"DIRECTDEBIT\",\"billingAccounts\":{\"billingAccount\":[{\"auditable\":{\"created\":1618413973747,\"updated\":1625584515787,\"creator\":\"opencell.admin\",\"updater\":\"opencell.superadmin\"},\"code\":\"1017_4\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 156, baixos TEST\",\"address2\":null,\"address3\":null,\"zipCode\":\"08340\",\"city\":\"Vilassar
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"98989898Z\",\"registrationNo\":\"98989898Z\",\"contactInformation\":{\"email\":\"joan.Doe@somconnexio.coop\",\"phone\":\"\",\"mobile\":\"\",\"fax\":\"\"},\"customerAccount\":\"1017_4\",\"billingCycle\":\"BC_SC_MONTHLY_1ST\",\"country\":\"SP\",\"language\":\"CAT\",\"nextInvoiceDate\":1627768800000,\"subscriptionDate\":1618413973747,\"electronicBilling\":true,\"status\":\"ACTIVE\",\"statusDate\":1618413973747,\"email\":\"joan.Doe@somconnexio.coop\",\"invoices\":[],\"phone\":\"\",\"paymentMethod\":\"DIRECTDEBIT\",\"bankCoordinates\":{\"bankCode\":null,\"branchCode\":null,\"accountNumber\":null,\"key\":null,\"iban\":\"ESXXXXX\",\"bic\":\"CAIXESBBXXX\",\"accountOwner\":\"Joan
        Doe, Chac\xF3n\",\"bankName\":\"Caixabank, S.A.\",\"bankId\":null,\"issuerNumber\":null,\"issuerName\":null,\"ics\":null},\"userAccounts\":{\"userAccount\":[{\"auditable\":{\"created\":1618413973762,\"updated\":1622119162781,\"creator\":\"opencell.admin\",\"updater\":\"opencell.admin\"},\"id\":39776,\"code\":\"1017_4\",\"description\":\"Joan
        Doe, Chac\xF3n\",\"name\":{\"title\":null,\"firstName\":\"Joan\",\"lastName\":\"Doe,
        Chac\xF3n\"},\"address\":{\"address1\":\"Sant Pau 156, baixos TEST\",\"address2\":null,\"address3\":null,\"zipCode\":\"08340\",\"city\":\"Vilassar
        de Mar\",\"country\":\"ES\",\"state\":\"Barcelona\"},\"vatNo\":\"98989898Z\",\"registrationNo\":\"98989898Z\",\"contactInformation\":{\"email\":\"joan.Doe@somconnexio.coop\",\"phone\":\"\",\"mobile\":\"\",\"fax\":\"\"},\"billingAccount\":\"1017_4\",\"billingAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customerAccount\":\"1017_4\",\"customerAccountDescription\":\"Joan
        Doe, Chac\xF3n\",\"customer\":\"1017\",\"customerDescription\":\"Joan
        Doe, Chac\xF3n\",\"subscriptionDate\":1618413973757,\"status\":\"ACTIVE\",\"statusDate\":1618413973757,\"subscriptions\":{\"subscription\":null}}]},\"mailingType\":\"mailingType.manual\",\"emailTemplate\":\"EMAIL_TEMPLATE_TEST\"}]},\"methodOfPayment\":[{\"paymentMethodType\":\"DIRECTDEBIT\",\"id\":10865,\"disabled\":false,\"alias\":\"125\",\"preferred\":true,\"customerAccountCode\":\"1017_4\",\"bankCoordinates\":{\"bankCode\":null,\"branchCode\":null,\"accountNumber\":null,\"key\":null,\"iban\":\"ESXXXXX\",\"bic\":\"CAIXESBBXXX\",\"accountOwner\":\"Joan
        Doe, Chac\xF3n\",\"bankName\":\"Caixabank, S.A.\",\"bankId\":null,\"issuerNumber\":null,\"issuerName\":null,\"ics\":null},\"mandateIdentification\":\"125\",\"mandateDate\":\"1970-01-19\"}]}]},\"additionalDetails\":{}}}"
    headers:
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Headers:
      - Content-Type, Authorization
      Access-Control-Allow-Methods:
      - GET, POST, DELETE, PUT
      Access-Control-Allow-Origin:
      - '*'
      Cache-Control:
      - no-cache, no-store, must-revalidate
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Mon, 19 Jul 2021 13:18:14 GMT
      Expires:
      - '0'
      Pragma:
      - no-cache
      Server:
      - nginx
      Set-Cookie: '****'
      Transfer-Encoding:
      - chunked
      X-Powered-By:
      - Undertow/1
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.25.1
    method: GET
    uri: http://odoo-sc.local:8069/api/partner?vat=16651490L
  response:
    body:
      string: '{"id": 52, "name": "Felip Dara", "firstname": "Felip", "lastname":
        "Dara", "display_name": "Dara", "ref": "1234", "lang": "es_ES", "vat": "ES16651490L",
        "type": "representative", "email": "felipdata@demo.net", "phone": "", "mobile":
        "", "cooperator_register_number": 855, "cooperator_end_date": "", "sponsor_id":
        0, "coop_agreement_code": "MYCOOP", "coop_candidate": false, "member": false}'
    headers:
      Access-Control-Allow-Methods:
      - GET
      Access-Control-Allow-Origin:
      - None
      Content-Length:
      - '383'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Mon, 19 Jul 2021 13:18:13 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 200
      message: OK
version: 1
